#ifndef DEFINES_H
#define DEFINES_H

// Beinhaltet allgemeine Defines

//---------- Defines ----------

#ifndef F_CPU
	#warning "F_CPU war noch nicht definiert, wird nun nachgeholt mit 15000000"
	#define F_CPU 15000000UL
#endif

//---------- Bitmanipulation ----------

#define SETBIT(var, bit) 	((var) |= (1 << (bit)))
#define CLRBIT(var, bit) 	((var) &= (unsigned)~(1 << (bit)))
#define TGLBIT(var, bit) 	((var) ^= (1 << (bit)))
 
#define BIT_IS_SET(var, bit) 	((var) & (1 << (bit)))
#define BIT_IS_CLEAR(var, bit) 	!BIT_IS_SET(var, bit)

//--------------------------------------------
//---------- Applikationsspezifisch ----------
//--------------------------------------------

//---------- Portbelegung ----------

// DISPLAY

#define DISPLAY_OUTPORT	PORTC

#define DISPLAY_CLK		PC0
#define DISPLAY_CSB		PC1
#define DISPLAY_RS		PC2
#define DISPLAY_SI		PC3
#define DISPLAY_RED		PC4
#define DISPLAY_GREEN	PC5
#define DISPLAY_BLUE	PC6

// TASTER

#define IO_INPORT		PINB

#define	IO_UP			PB0
#define IO_ENTER		PB1
#define IO_DOWN			PB4



//---------- Modul display ----------

#define display_red_backlight_on		CLRBIT(DISPLAY_OUTPORT, DISPLAY_RED)
#define display_red_backlight_off		SETBIT(DISPLAY_OUTPORT, DISPLAY_RED)
#define display_green_backlight_on		CLRBIT(DISPLAY_OUTPORT, DISPLAY_GREEN)
#define display_green_backlight_off		SETBIT(DISPLAY_OUTPORT, DISPLAY_GREEN)
#define display_blue_backlight_on		CLRBIT(DISPLAY_OUTPORT, DISPLAY_BLUE)
#define display_blue_backlight_off		SETBIT(DISPLAY_OUTPORT, DISPLAY_BLUE)

#endif
