#include <defines.h>

#include <avr/io.h>
#include <avr/interrupt.h>

#include <io.h>   


//---------- Funktionen ----------

void io_init(void) {
	io_tast_status = 0x00;
	io_tast_status_old = 0x00;
	io_tast_changed = 0x00;
}

void io_get_inputs(void) {
	io_tast_status_old = io_tast_status;
	io_tast_status = BIT_IS_SET(IO_INPORT, IO_UP) | BIT_IS_SET(IO_INPORT, IO_ENTER) | BIT_IS_SET(IO_INPORT, IO_DOWN);	
	io_tast_changed = io_tast_status_old ^ io_tast_status;
	
	// Ist die Taste gedrckt und hat sich ihr Zustand gendert?
	if(BIT_IS_SET(io_tast_changed, IO_UP) && BIT_IS_SET(io_tast_status, IO_UP)) {
		if(BIT_IS_CLEAR(DISPLAY_OUTPORT, DISPLAY_GREEN)) { // GREEN turned on
			display_green_backlight_off;
		} else {
			display_green_backlight_on;
		}
	}	
	
	// Ist die Taste gedrckt und hat sich ihr Zustand gendert?
	if(BIT_IS_SET(io_tast_changed, IO_ENTER) && BIT_IS_SET(io_tast_status, IO_ENTER)) {
		if(BIT_IS_CLEAR(DISPLAY_OUTPORT, DISPLAY_BLUE)) { // BLUE turned on
			display_blue_backlight_off;
		} else {
			display_blue_backlight_on;
		}
	}

}

